import request from '@/utils/request'

// 提现列表
export function getPayRecordList(param) {
    return request({
        url: '/mpay/record/list',
        method: 'get',
        params: param
    })
}

// 列表
export function getPayList(param) {
    return request({
        url: '/mpay/record/payList',
        method: 'get',
        params: param
    })
}

// 查看提现记录详情
export function getPayDetail(recordId) {
    return request({
        url: `/mpay/record/detail/${recordId}`,
        method: 'get',
    })
}

// 上传支付凭证
export function uploadPayment(data) {
    return request({
        url: '/mpay/record/payment',
        method: 'post',
        data
    })
}



// 充值记录
export function getRechargeList(param) {
    return request({
        url: '/play/recharge_record',
        method: 'get',
        params: param,

    })
}